Bug 544720

Summary: Wordpress bundles libraries
Product: [Fedora] Fedora Reporter: David Nalley <david>
Component: wordpressAssignee: Jon Ciesla <limburgher>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: adrian, john, limburgher, tklingenberg
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 544721 (view as bug list) Environment:
Last Closed: 2011-06-02 09:36:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 504493    

Description David Nalley 2009-12-06 01:38:03 EST
while working on packaging an update to Zikula I noted that wordpress bundles php-gettext (wp-includes/gettext.php) While there, I also noted that it at least bundles Snoopy and SimplePie (zikula also bundled them) 

In addition, there appear to be numerous other bundled libraries in the wp-includes directory. 

https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 1 Adrian Reber 2010-02-04 05:02:40 EST
https://fedorahosted.org/fesco/ticket/314
Comment 3 Fedora Admin XMLRPC Client 2010-08-04 11:00:44 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Jon Ciesla 2010-08-11 12:42:20 EDT
3.0.1 which does not bundle gettext and simplepie is in rawhide.  I'm investigating others.
Comment 5 Bug Zapper 2010-11-04 00:12:45 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tom Klingenberg 2011-04-18 07:30:08 EDT
Just a reminder: The "libraries" bundled with wordpress are most often modified versions of existing mainstream code.

Keep in mind that wordpress

 - prefers very old libraries
 - re-writes code in those as needed
 - does not report bugs/changes upstream (e.g. as seen with KSES)
 - for some libraries mainstream is even already dead

I have to few packaging experience to give a more concrete hint about how to deal with that, but I thought the information at least is helpful.
Comment 7 Matěj Cepl 2011-06-02 09:36:02 EDT
I believe that this has been fixed sometime before wordpress-3.1.3-3.fc16 (for all currently supported distributions). If you disagree go ahead and reopen this bug with additional information.